<script type="text/javascript">
    RED.nodes.registerType('keybase-out', {
        category: 'network',
        color: '#4C8EFF',
        defaults: {
            name: { value: "" },
            bot: { value: "", type: "keybase-bot" },
            conversation: { value: "" }
        },
        inputs: 1,
        outputs: 0,
        icon: "font-awesome/fa-key",
        label: function () {
            return this.name || "keybase out";
        }
    });
</script>

<script type="text/html" data-template-name="keybase-out">
    <div class="form-row">
        <label for="node-input-name"><i class="icon-tag"></i> Name</label>
        <input type="text" id="node-input-name" placeholder="node name">
    </div>
    <div class="form-row">
        <label for="node-input-bot"><i class="icon-tag"></i> Bot</label>
        <input type="text" id="node-input-bot" placeholder="the bot account to be used">
    </div>
    <div class="form-row">
        <label for="node-input-conversation"><i class="icon-tag"></i> Conversation</label>
        <input type="text" id="node-input-conversation" placeholder="the id of the conversation to post to">
    </div>
</script>

<script type="text/html" data-help-name="keybase-out">
    <p>Sends messages to a keybase chat channel</p>
</script>